\section{Modelling Workflows with QosAgg}

\subsection{Example}
\begin{frame}[fragile]{QosAgg – Example}
	\begin{lstlisting}[language=qosagg, gobble=4, caption={Sample QosAgg workflow}]
		workflow {
			graph: A -> (B | C);

			aggregation cost: sum, sum;
			aggregation latency: sum, max;

			provision a4 for A: cost = 4, latency = 1;
			provision b2 for B: cost = 3, latency = 2;
			provision b3 for B: cost = 2, latency = 4;
			@…@
		}
	\end{lstlisting}
\end{frame}

\subsection{Big Picture}
\begin{frame}{QosAgg – Big Picture}
	\begin{figure}
		\resizebox{.9\textwidth}{!}{\input{img/architecture}}
		\caption{Architecture for global workflow optimization}
	\end{figure}
\end{frame}